import Graphics.UI.GLUT
import Data.IORef
import Bindings
 
main :: IO ()
main = do
  (_progName, _args) <- getArgsAndInitialize
  initialDisplayMode $= [DoubleBuffered]
  _window <- createWindow "OpenGL Tutorial 2"
  reshapeCallback $= Just reshape -- the comparison function for depth the buffer
  depthFunc $= Just Less
  angle <- newIORef 0.0
  delta <- newIORef 0.1 -- 0.1
  pos <- newIORef (0,0)
  zoom <- newIORef 0.2
  keyboardMouseCallback $= Just (keyboardMouse delta pos zoom)
  idleCallback $= Just (idle angle delta)
  displayCallback $= display angle pos zoom
  mainLoop